Resolution: Wont fix   

Description

I am currently working on integrating Redmine into my client's environment using TorqueBox and was experiencing some difficulty

integrating with SVN.  Upon further inspection, I noticed that all the internal SCM commands were failing while the rake

fetch_changeset command was successful.

Turns out that TorqueBox was prepending "vfs:/" to RAILS_ROOT.  Since I was running in dev, it was redirecting the errors to

'2>>#{RAILS_ROOT}/log/scm.stderr.log'.  This didn't work and the shell execution failed.  Since the SVN command didn't even

execute the error handling never properly caught it and it died later with a NPE.

This was easy enough to work around but I think that the logger.debug statement should be  moved to line 189 (after the error

appending block).  You may also want to consider additional error handling for other obscure failures which prevent the shell from

properly executing.

History

#1 - 2011-01-03 17:00 - Mike Battles

Forgot to mention I was referring to lib/redmine/scm/adapters/abstract_adapter.rb

#2 - 2011-01-03 20:30 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from SCM Error logging incompatible with TorqueBox to Make SCM Error logging compatible with TorqueBox

#3 - 2024-01-21 01:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

In Redmine 2.3.1 and later (#13541), you can set the full path name of the SCM log file in config/configuration.yml. See 

source:tags/5.1.1/config/configuration.yml.example#L135.

  # Absolute path to the SCM commands errors (stderr) log file.

  # The default is to log in the 'log' directory of your Redmine instance.

  # Example:

  # scm_stderr_log_file: /var/log/redmine_scm_stderr.log

  scm_stderr_log_file:
